
Redmine - Patch #31954

Reject project/version custom field values not visible to user

2019-08-27 09:18 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Description

This implements #23997#note-16 for project and version custom fields.

For spent time custom fields, I'll add a new ticket when it'll be ready (some tests fail and need to be updated).

Related issues:

Related to Redmine - Feature #31925: Per role visibility settings for project... Closed

Related to Redmine - Feature #23997: Per role visibility settings for version... Closed

Associated revisions

Revision 18401 - 2019-08-27 12:20 - Go MAEDA

Reject project custom field values not visible for the user (#31954, #31925).

Patch by Marius BALTEANU.

Revision 18402 - 2019-08-27 12:44 - Go MAEDA

Reject version custom field values not visible for the user (#31954, #23997).

Patch by Marius BALTEANU.

Revision 19328 - 2019-12-03 07:08 - Go MAEDA

Merged r19327 from trunk to 4.1-stable ( #32540, #31954, #23997).

History

#1 - 2019-08-27 09:18 - Marius BĂLTEANU

- Description updated

#2 - 2019-08-27 09:19 - Marius BĂLTEANU

- Subject changed from Reject project/version custom fields not visible to user to Reject project/version custom field values not visible to user

#3 - 2019-08-27 09:20 - Marius BĂLTEANU

- Related to Feature #31925: Per role visibility settings for project custom fields added

#4 - 2019-08-27 09:20 - Marius BĂLTEANU

- Related to Feature #23997: Per role visibility settings for version custom fields added

#5 - 2019-08-27 12:46 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (4.1.0)

Committed two patches as a part of #31925 and #23997. Thanks.

#6 - 2020-06-04 04:42 - Adrien Crivelli

Marius, you mentioned that a patch would be coming for spent time custom fields. I checked your entire activity since then, but could not find anything

related to that. Did I miss it ? Or is it still somewhere in your TODO list ?
